ONVIF::Device::Types::User(3pm)

NAME
ONVIF::Device::Types::User

DESCRIPTION
Perl data type class for the XML Schema defined complexType User from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Username

•   Password

•   UserLevel

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::User
   Username =>  $some_value, # string
   Password =>  $some_value, # string
   UserLevel => $some_value, # UserLevel
   Extension =>  { # ONVIF::Device::Types::UserExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL